Bug 180278 - mount of GFS file system doesn't work from s-c-lvm
mount of GFS file system doesn't work from s-c-lvm
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Depends On:
Blocks: 159456
  Show dependency treegraph
Reported: 2006-02-06 16:20 EST by Nate Straz
Modified: 2009-04-16 19:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-15 11:56:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2006-02-06 16:20:27 EST
Description of problem:

When you create a GFS (local) file system with system-config-lvm and tell
it to mount somewhere the mount command fails.

The dialog says
mount command failed. Command attempted: "/bin/mount /dev/errata/mirror
/mnt/mirror" - System Error Message: mount: you must specify the filesystem type
Version-Release number of selected component (if applicable):

This seems more like an underlying GFS bug.  You shouldn't have to specify the
file system type, but with GFS you always have to.

How reproducible:
Every time

Steps to Reproduce:
1. Create a logical volume with file system type "GFS (local)"
2. Check the "Mounted" checkbox and specify a location

Actual results:

The above error message in a dialog box.

Expected results:

No errors and a GFS file system mounted where specified.

Additional info:
Comment 1 Stanko Kupcevic 2006-05-15 11:56:38 EDT
This bug is fixed as a part of bz159456 - GFS support

Fixed in 1.0.17

Note You need to log in before you can comment on or make changes to this bug.